Subject: [Ltru] Re: Framing the Alpha-3 turf

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 21 Dec 2006 10:07:02 -0800

Hi -

None of this thread belongs on [email-masked].
Please move it to [email-masked]

Randy, ltru co-chair

----- Original Message ----- 
> From: "Don Osborn" <[email-masked]>
> To: "'IETF Languages Discussion'" <[email-masked]>
> Sent: Thursday, December 21, 2006 4:20 AM
> Subject: Framing the Alpha-3 turf
>
> A quick question re the foreseen relationship among ISO-639-2, -3, and -5 in
> defining Alpha-3 language codes:
> 
>  
> 
> To what extent is ISO-639-2 being "absorbed" into 639-3? I realize that the
> latter has harmonized its alpha-3's wrt the former, a process out of which
> came "macrolanguages" and the recent redefinitions in 639-2 that Doug
> discovered. I ask because (a) in another context (linguistics) I heard the
> opinion that ISO-639-1&2 are already no longer useful (one minor reason
> being that some -2 codes are being written in -3), and (b) one is aware that
> current recommendations in ICT use that where languages have ISO-639-1 & 2
> codes, that the former (alpha-2) codes are to be used, which of course
> implies that at least part 1 has a future.
> 
>  
> 
> Another question I have is in terms of "nesting" of language codes - if
> everything is defined in part 3, then some of the codes are by definition of
> a higher order than others (perhaps analogous to the bibliographic and
> terminology division of part 2, except that they would have a hierarchical
> relationship - if these reading is correct).
> 
>  
> 
> Complicating the picture, perhaps, is the use of the same alpha-3 space for
> ISO-639-5.  Effectively there would be in principle three sets of lists of
> alpha-3 codes and three RAs dealing with the alpha-3 space (communicating,
> coordinating, etc. as necessary). This is not a criticism in any way, as
> such shared responsibilities and overlapping jurisdictions, if you will, can
> be functional and sometimes even preferable. Mainly, though I'm trying to
> understand it better, and as I do, wonder if important actors in the allied
> fields (ICT, localization, linguistics, various projects) are not also
> somewhat hazy on what the plans are (or are laboring under misperceptions of
> the situation).
> 
>  
> 
> I've waded through part of RFC-4646 but am not sure that it addresses this
> kind of issue. Thanks in advance.
> 
>  
> 
> Don Osborn
> 
> Bisharat.net
> 
> PanAfrican Localisation project
> 
> 

--------------------------------------------------------------------------------

> _______________________________________________
> Ietf-languages mailing list
> [email-masked]
> http://www.alvestrand.no/mailman/listinfo/ietf-languages
> 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru